Bug 1027262 - [abrt] gnome-font-viewer-3.10.0-1.fc20: Process /usr/bin/gnome-font-viewer was killed by signal 11 (SIGSEGV)
[abrt] gnome-font-viewer-3.10.0-1.fc20: Process /usr/bin/gnome-font-viewer wa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-font-viewer (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b37697e2819028f059c172c07a4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 07:49 EST by Samarth Srivastava
Modified: 2015-06-29 08:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.37 KB, text/plain)
2013-11-06 07:49 EST, Samarth Srivastava
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-06 07:49 EST, Samarth Srivastava
no flags Details
File: core_backtrace (15.64 KB, text/plain)
2013-11-06 07:49 EST, Samarth Srivastava
no flags Details
File: dso_list (11.69 KB, text/plain)
2013-11-06 07:49 EST, Samarth Srivastava
no flags Details
File: environ (1.31 KB, text/plain)
2013-11-06 07:50 EST, Samarth Srivastava
no flags Details
File: exploitable (122 bytes, text/plain)
2013-11-06 07:50 EST, Samarth Srivastava
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 07:50 EST, Samarth Srivastava
no flags Details
File: maps (44.85 KB, text/plain)
2013-11-06 07:50 EST, Samarth Srivastava
no flags Details
File: open_fds (661 bytes, text/plain)
2013-11-06 07:50 EST, Samarth Srivastava
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-11-06 07:50 EST, Samarth Srivastava
no flags Details
File: var_log_messages (201 bytes, text/plain)
2013-11-06 07:50 EST, Samarth Srivastava
no flags Details

  None (edit)
Description Samarth Srivastava 2013-11-06 07:49:28 EST
Description of problem:
I used font-viewer to install a font and it crashed.

Version-Release number of selected component:
gnome-font-viewer-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 3
cmdline:        gnome-font-viewer /home/ssrivastava/.cache/.fr-4IyKBL/OpenSans-Bold.ttf
executable:     /usr/bin/gnome-font-viewer
kernel:         3.11.0-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 ft_mem_qalloc at /usr/src/debug/freetype-2.5.0/src/base/ftutil.c:76
 #2 ft_mem_alloc at /usr/src/debug/freetype-2.5.0/src/base/ftutil.c:55
 #3 FT_Stream_New at /usr/src/debug/freetype-2.5.0/src/base/ftobjs.c:173
 #4 FT_Open_Face at /usr/src/debug/freetype-2.5.0/src/base/ftobjs.c:2047
 #5 FT_New_Memory_Face at /usr/src/debug/freetype-2.5.0/src/base/ftobjs.c:1269
 #6 create_face_from_contents at sushi-font-loader.c:83
 #7 sushi_new_ft_face_from_uri at sushi-font-loader.c:172
 #8 font_utils_get_font_name_for_file at font-utils.c:50
 #9 load_font_infos at font-model.c:433

Potential duplicate: bug 956744
Comment 1 Samarth Srivastava 2013-11-06 07:49:41 EST
Created attachment 820327 [details]
File: backtrace
Comment 2 Samarth Srivastava 2013-11-06 07:49:48 EST
Created attachment 820328 [details]
File: cgroup
Comment 3 Samarth Srivastava 2013-11-06 07:49:54 EST
Created attachment 820329 [details]
File: core_backtrace
Comment 4 Samarth Srivastava 2013-11-06 07:49:58 EST
Created attachment 820330 [details]
File: dso_list
Comment 5 Samarth Srivastava 2013-11-06 07:50:05 EST
Created attachment 820331 [details]
File: environ
Comment 6 Samarth Srivastava 2013-11-06 07:50:11 EST
Created attachment 820332 [details]
File: exploitable
Comment 7 Samarth Srivastava 2013-11-06 07:50:17 EST
Created attachment 820333 [details]
File: limits
Comment 8 Samarth Srivastava 2013-11-06 07:50:24 EST
Created attachment 820334 [details]
File: maps
Comment 9 Samarth Srivastava 2013-11-06 07:50:29 EST
Created attachment 820335 [details]
File: open_fds
Comment 10 Samarth Srivastava 2013-11-06 07:50:34 EST
Created attachment 820336 [details]
File: proc_pid_status
Comment 11 Samarth Srivastava 2013-11-06 07:50:38 EST
Created attachment 820337 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-05-29 05:42:05 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 08:49:26 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.